### Hierarchy

- CacheService

## Index

### Constructors

- constructor

### Methods

- getOrCreate
- remove

## Constructors

### constructor

- new CacheService(app: App): CacheService

- - Defined in src/services/CacheService.ts:43

  #### Parameters

  - ##### app: App

  #### Returns CacheService

## Methods

### getOrCreate

- getOrCreate<T>(key: string, task: function): Promise<T>

- - Defined in src/services/CacheService.ts:57

  #### Type parameters

  - #### T

  #### Parameters

  - ##### key: string

  - ##### task: function

    - - (cacheEntry?: ICacheEntry<T>): Promise<T>

      - #### Parameters

        - ##### Optional cacheEntry: ICacheEntry<T>

        #### Returns Promise<T>

### remove

- remove(key: string): any

- - Defined in src/services/CacheService.ts:48

  #### Parameters

  - ##### key: string

  #### Returns any

Generated using TypeDoc